#ifndef MAIN_WINDOW_HH
#define MAIN_WINDOW_HH

#include "opengl_widget.hh"
#include "drone_controller.hh"
#include "settings_pane.hh"

#include <QMainWindow>
#include <QTimer>
#include <QToolBar>
#include <QSlider>


class MainWindow : public QMainWindow {
	Q_OBJECT

	OpenGLWidget glw;
	QTimer timer;
	QToolBar top_tb;
	QToolBar bottom_tb;
	QAction *open_action;
	QAction *playpause_action;
	QSlider *slider;
	SettingsPane *settings_pane;
	DroneController *dc = nullptr;
	void play();
	void pause();

public:
	MainWindow(QWidget *parent=nullptr);
	void open(const QString &path);

private slots:
	void onOpenGLWidgetInitialized();
};


#endif
